<?PHP
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
* Page commentaires.
*
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @package	GaneshaCommun
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");

	if (isset($insert_comment) && $insert_comment!="" ) {
		$ClsDocument->InsertComment($id_comment, $comment);
	}

	InitPageHtmlNoCache();

	$table = 'cellpadding="3" cellspacing="0" border="0" align="center" width="100%" bgcolor="'.$color1.'"' ;

	$DEB = '<table align="center" width="95%" cellpadding="2" cellspacing="0" border="0" bgcolor="'.$color2.'"><tr><td>
	<table '.$table.'>
	<tr><td valign=top><b>';

	$MID = '</b></td></tr>
<tr><td>' ;

	$FIN = '</td></tr>
	</table>
</td></tr></table><BR>';

	$ret = $ClsDocument->Read($id_comment);
	$comment = htmlentities($ret['comment']) ;
	if ( strlen($comment)!=0 ) {
		$comment = ereg_replace("&lt;DEB&gt;",$DEB,$comment );
		$comment = ereg_replace("&lt;MID&gt;",$MID,$comment );
		$comment = ereg_replace("&lt;FIN&gt;",$FIN,$comment );
	}

	put('<table '.$table.'>');
	put('  <tr><td valign=top>'.$st_titre['postdoc'].' '.$ret['user'].' : '.$ret['date'].'</td></tr>');
	put('</table>')	;
	
	put('<table '.$table.'>');
	put('  <tr><td valign=top>'.$st_titre['titre'].'<b>'.$ret['titre'].'</b></td></tr>');
	put('</table>')	;
	
	BR(2)			;
	put($comment)	;
	BR()			;
	FrmNewComment()	;
	BR()			;
	CloseWindow()	;
	Footer()		;
	ClosePageHtml()	;

?>